/*-
 * ~~~~~~licensing~~~~~~
 * artifact-management
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.platform.core.artifact.installer.builder.typed.impl;

import ru.entaxy.platform.core.artifact.DeployedArtifact;
import ru.entaxy.platform.core.artifact.installer.builder.typed.TypedInstaller;

public abstract class TypedInstallerImpl implements TypedInstaller {

	protected TypedInstallerHelper helper;
	
	protected DeployedArtifact artifact;
	protected String sourceLocation;
	protected String bundleName;
	
	public DeployedArtifact getArtifact() {
		return artifact;
	}

	public void setArtifact(DeployedArtifact artifact) {
		this.artifact = artifact;
	}

	public String getSourceLocation() {
		return sourceLocation;
	}

	public void setSourceLocation(String sourceLocation) {
		this.sourceLocation = sourceLocation;
	}

	public String getBundleName() {
		return bundleName;
	}

	public void setBundleName(String bundleName) {
		this.bundleName = bundleName;
	}

	public TypedInstallerHelper getHelper() {
		return helper;
	}

	public void setHelper(TypedInstallerHelper helper) {
		this.helper = helper;
	}
	
	public void clearInstaller() {
		artifact = null;
		sourceLocation = null;
		bundleName = null;		
	}
}
